#Gitlab CI .yml file for podman automated testing

variables:
  
  ITER:  
    value: "5"
    description: "number of iterations"

stages:   
  - setup         # List of stages for jobs, and their order of execution
  - run-tests
  - regression-tests

sysbench-tests:       # This job runs in the build stage, which runs first.
  stage: run-tests
  tags:
    - HW:QDRIVE3
    - OS:RHIVOS-ER3.0

  script:   # pre-req installs - might be pts or benchmark-wrapper

    - echo $ITER  
    - sudo ./runall
    
  artifacts:
    paths:
      - ./data
    when: always

#sequential-regression:
#  stage: regression-tests
#  tags:
#   - HW:AWS
#    - OS:RHIVOS-ER2.0
# script:
#    - overall_average=$(printf "%.0f" $(cat ./sequential_data/*.overall))
#    - echo "Average overall startup time is $overall_average ms"
#      #TODO comparision is hardcode. Ideally pull from historical values.
#    - if [[ $overall_average -gt 10000 ]]; then
#        echo "Sequential startup time of $overall_average is greater than 10000 ms. Regression failed";
#        exit 1;
#      fi

